Bug 164364 - CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: binutils (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
impact=low,public=20050525,reported=2...
: Security
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-07-27 06:01 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-659
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-07-27 06:01:09 EDT
+++ This bug was initially created as a clone of Bug #159894, this bug
specifically for RHEL3U6 +++

Integer overflow in the BFD library for binutils allows attackers to
execute arbitrary code via a crafted object file that specifies a large number
of section headers, leading to a heap-based buffer overflow.
Comment 1 Red Hat Bugzilla 2005-09-28 10:03:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-659.html

Note You need to log in before you can comment on or make changes to this bug.